Foreman - Bug #36537

Search in Settings returns Error 500 in search suggestions dropdown
06/27/2023 09:48 AM - Girija Soni

Status: Ready For Testing
Priority: High
Assignee:
Category:
Target version:
Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 2216194 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9783,
https://github.com/theforeman/foreman/p
ull/9796,
https://github.com/theforeman/foreman/p
ull/9797
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2216194

Description of problem:
When using the search bar in Administer -> Settings, the search bar suggestion dropdown returns "Error: Request failed with status
code 500" instead of the search suggestions.

Version-Release number of selected component (if applicable):
Satellite 6.14.0 snap 3

How reproducible:
Always

Steps to Reproduce:

1. Go to Administer -> Settings

2. Type anything in the search bar but don't press Enter
3. See the error in the Search suggestions dropdown

Actual results:
“Error: Request failed with status code 500 in the search suggestions dropdown

Expected results:
Search suggestions in the dropdown

Associated revisions

Revision 620a6a51 - 08/08/2023 10:12 AM - Girija Soni
Refs #36537 - Drop description from setting search

The description is no longer a field so it can't be searched anymore. This is
not a real fix, but prevents internal server errors on the settings search.

Fixes: de56ffb28064

History

#1 - 07/28/2023 12:09 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9783 added

#2 - 08/08/2023 10:27 AM - The Foreman Bot

- Assignee set to Ewoud Kohl van Wijngaarden
https://bugzilla.redhat.com/show_bug.cgi?id=2216194

- Pull request https://github.com/theforeman/foreman/pull/9796 added

#3 - 08/08/2023 10:37 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9797 added

#4 - 08/10/2023 01:09 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Search in Settings returns Error 500 in search suggestions dropdown
to Search in Settings returns Error 500 in search suggestions dropdown

- Assignee deleted (Ewoud Kohl van Wijngaarden)
